Create a download link for an attachment
curl --request POST \
--url https://talario.eu/api/v1/receiving/messages/{id}/attachments/{attachment}/download-url \
--header 'Authorization: Bearer <token>'import requests
url = "https://talario.eu/api/v1/receiving/messages/{id}/attachments/{attachment}/download-url"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://talario.eu/api/v1/receiving/messages/{id}/attachments/{attachment}/download-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://talario.eu/api/v1/receiving/messages/{id}/attachments/{attachment}/download-url",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://talario.eu/api/v1/receiving/messages/{id}/attachments/{attachment}/download-url"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://talario.eu/api/v1/receiving/messages/{id}/attachments/{attachment}/download-url")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://talario.eu/api/v1/receiving/messages/{id}/attachments/{attachment}/download-url")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "message_expired",
"message": "<string>",
"fields": {}
}
}{
"error": {
"code": "message_expired",
"message": "<string>",
"fields": {}
}
}{
"error": {
"code": "message_expired",
"message": "<string>",
"fields": {}
}
}{
"error": {
"code": "message_expired",
"message": "<string>",
"fields": {}
}
}{
"error": {
"code": "message_expired",
"message": "<string>",
"fields": {}
}
}{
"error": {
"code": "message_expired",
"message": "<string>",
"fields": {}
}
}Received messages
Create a download link for an attachment
Creates a new presigned link for an attachment of the parsed content, valid for at most an hour and never after the end of the retention period. Requires the permission “Read received messages”.
POST
/
receiving
/
messages
/
{id}
/
attachments
/
{attachment}
/
download-url
Create a download link for an attachment
curl --request POST \
--url https://talario.eu/api/v1/receiving/messages/{id}/attachments/{attachment}/download-url \
--header 'Authorization: Bearer <token>'import requests
url = "https://talario.eu/api/v1/receiving/messages/{id}/attachments/{attachment}/download-url"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://talario.eu/api/v1/receiving/messages/{id}/attachments/{attachment}/download-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://talario.eu/api/v1/receiving/messages/{id}/attachments/{attachment}/download-url",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://talario.eu/api/v1/receiving/messages/{id}/attachments/{attachment}/download-url"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://talario.eu/api/v1/receiving/messages/{id}/attachments/{attachment}/download-url")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://talario.eu/api/v1/receiving/messages/{id}/attachments/{attachment}/download-url")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "message_expired",
"message": "<string>",
"fields": {}
}
}{
"error": {
"code": "message_expired",
"message": "<string>",
"fields": {}
}
}{
"error": {
"code": "message_expired",
"message": "<string>",
"fields": {}
}
}{
"error": {
"code": "message_expired",
"message": "<string>",
"fields": {}
}
}{
"error": {
"code": "message_expired",
"message": "<string>",
"fields": {}
}
}{
"error": {
"code": "message_expired",
"message": "<string>",
"fields": {}
}
}Authorizations
API key of your project, starting with tlr_api_.
Path Parameters
Talario's ID of the received message.
Attachment ID from the parsed content, for example part-2.
Pattern:
^part-[0-9-]+$Example:
"part-2"
⌘I